"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const graphback_cli_1 = require("graphback-cli");
const commandRoot_1 = require("../commandRoot");
exports.command = 'backend-init <name>';
exports.desc = 'Create project';
// tslint:disable-next-line: typedef
exports.builder = (args) => {
    args.positional('name', {
        describe: 'Project name',
        type: 'string',
    });
    args.option('templateName', {
        describe: 'Name of the predefined template',
        type: 'string'
    });
    args.option('templateUrl', {
        describe: 'GitHub URL of the template. For example (http://github.com/wtrocki/graphback-hapijs#master)',
        type: 'string'
    });
};
function handler(context, { name, templateName, templateUrl }) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        yield graphback_cli_1.init(name, templateName, templateUrl, commandRoot_1.commandRoot);
    });
}
exports.handler = handler;
//# sourceMappingURL=backend-init.js.map